/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * inverse(mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(0.36195165), np.float32(0.553786), np.float32(0.27508324), np.float32(-0.57912266))
 * inverse(mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(-1.0), np.float32(-1.0), np.float32(-0.6214286), np.float32(0.09285714))
 */
#version 150

void main()
{
  float[pow(distance(inverse(mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(0.36195165), np.float32(0.553786))), 2) + pow(distance(inverse(mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(0.27508324), np.float32(-0.57912266))), 2) <= np.float32(8.487418e-11) ? 1 : -1] array0;
  float[pow(distance(inverse(mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(-1.0), np.float32(-1.0))), 2) + pow(distance(inverse(mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(-0.6214286), np.float32(0.09285714))), 2) <= np.float32(2.394796e-10) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
