/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * transpose(mat2x4(np.float32(0.16), np.float32(-0.8), np.float32(-1.74), np.float32(-0.02), np.float32(-1.69), np.float32(0.59), np.float32(-1.43), np.float32(-1.21))) => mat4x2(np.float32(0.16), np.float32(-1.69), np.float32(-0.8), np.float32(0.59), np.float32(-1.74), np.float32(-1.43), np.float32(-0.02), np.float32(-1.21))
 * transpose(mat2x4(np.float32(-1.02), np.float32(-1.64), np.float32(-1.59), np.float32(0.3), np.float32(0.74), np.float32(-0.13), np.float32(0.47), np.float32(1.13))) => mat4x2(np.float32(-1.02), np.float32(0.74), np.float32(-1.64), np.float32(-0.13), np.float32(-1.59), np.float32(0.47), np.float32(0.3), np.float32(1.13))
 */
#version 120

void main()
{
  float[pow(distance(transpose(mat2x4(np.float32(0.16), np.float32(-0.8), np.float32(-1.74), np.float32(-0.02), np.float32(-1.69), np.float32(0.59), np.float32(-1.43), np.float32(-1.21)))[0], vec2(np.float32(0.16), np.float32(-1.69))), 2) + pow(distance(transpose(mat2x4(np.float32(0.16), np.float32(-0.8), np.float32(-1.74), np.float32(-0.02), np.float32(-1.69), np.float32(0.59), np.float32(-1.43), np.float32(-1.21)))[1], vec2(np.float32(-0.8), np.float32(0.59))), 2) + pow(distance(transpose(mat2x4(np.float32(0.16), np.float32(-0.8), np.float32(-1.74), np.float32(-0.02), np.float32(-1.69), np.float32(0.59), np.float32(-1.43), np.float32(-1.21)))[2], vec2(np.float32(-1.74), np.float32(-1.43))), 2) + pow(distance(transpose(mat2x4(np.float32(0.16), np.float32(-0.8), np.float32(-1.74), np.float32(-0.02), np.float32(-1.69), np.float32(0.59), np.float32(-1.43), np.float32(-1.21)))[3], vec2(np.float32(-0.02), np.float32(-1.21))), 2) <= np.float32(1.0406801e-09) ? 1 : -1] array0;
  float[pow(distance(transpose(mat2x4(np.float32(-1.02), np.float32(-1.64), np.float32(-1.59), np.float32(0.3), np.float32(0.74), np.float32(-0.13), np.float32(0.47), np.float32(1.13)))[0], vec2(np.float32(-1.02), np.float32(0.74))), 2) + pow(distance(transpose(mat2x4(np.float32(-1.02), np.float32(-1.64), np.float32(-1.59), np.float32(0.3), np.float32(0.74), np.float32(-0.13), np.float32(0.47), np.float32(1.13)))[1], vec2(np.float32(-1.64), np.float32(-0.13))), 2) + pow(distance(transpose(mat2x4(np.float32(-1.02), np.float32(-1.64), np.float32(-1.59), np.float32(0.3), np.float32(0.74), np.float32(-0.13), np.float32(0.47), np.float32(1.13)))[2], vec2(np.float32(-1.59), np.float32(0.47))), 2) + pow(distance(transpose(mat2x4(np.float32(-1.02), np.float32(-1.64), np.float32(-1.59), np.float32(0.3), np.float32(0.74), np.float32(-0.13), np.float32(0.47), np.float32(1.13)))[3], vec2(np.float32(0.3), np.float32(1.13))), 2) <= np.float32(8.4104e-10) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
