/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (- vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(0.03), np.float32(0.85), np.float32(0.94))
 * (- vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(-1.67), np.float32(-0.66), np.float32(-1.87))
 */
#version 120

void main()
{
  float[distance((- vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(0.03), np.float32(0.85), np.float32(0.94))) <= np.float32(1.2676751e-05) ? 1 : -1] array0;
  float[distance((- vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(-1.67), np.float32(-0.66), np.float32(-1.87))) <= np.float32(2.5925663e-05) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
