/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * transpose(mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24))) => mat3(np.float32(-1.11), np.float32(1.67), np.float32(-0.41), np.float32(0.13), np.float32(1.09), np.float32(-0.02), np.float32(0.56), np.float32(0.95), np.float32(0.24))
 * transpose(mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47))) => mat3(np.float32(-1.69), np.float32(-0.46), np.float32(-0.18), np.float32(-1.09), np.float32(1.75), np.float32(2.0), np.float32(-1.53), np.float32(-0.7), np.float32(-1.47))
 */
#version 120

void main()
{
  float[pow(distance(transpose(mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24)))[0], vec3(np.float32(-1.11), np.float32(1.67), np.float32(-0.41))), 2) + pow(distance(transpose(mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24)))[1], vec3(np.float32(0.13), np.float32(1.09), np.float32(-0.02))), 2) + pow(distance(transpose(mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24)))[2], vec3(np.float32(0.56), np.float32(0.95), np.float32(0.24))), 2) <= np.float32(6.6682e-10) ? 1 : -1] array0;
  float[pow(distance(transpose(mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47)))[0], vec3(np.float32(-1.69), np.float32(-0.46), np.float32(-0.18))), 2) + pow(distance(transpose(mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47)))[1], vec3(np.float32(-1.09), np.float32(1.75), np.float32(2.0))), 2) + pow(distance(transpose(mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47)))[2], vec3(np.float32(-1.53), np.float32(-0.7), np.float32(-1.47))), 2) <= np.float32(1.63425e-09) ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
