/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * transpose(dmat2x4(np.float64(0.16)lf, np.float64(-0.8)lf, np.float64(-1.74)lf, np.float64(-0.02)lf, np.float64(-1.69)lf, np.float64(0.59)lf, np.float64(-1.43)lf, np.float64(-1.21)lf)) => dmat4x2(np.float64(0.16)lf, np.float64(-1.69)lf, np.float64(-0.8)lf, np.float64(0.59)lf, np.float64(-1.74)lf, np.float64(-1.43)lf, np.float64(-0.02)lf, np.float64(-1.21)lf)
 * transpose(dmat2x4(np.float64(-1.02)lf, np.float64(-1.64)lf, np.float64(-1.59)lf, np.float64(0.3)lf, np.float64(0.74)lf, np.float64(-0.13)lf, np.float64(0.47)lf, np.float64(1.13)lf)) => dmat4x2(np.float64(-1.02)lf, np.float64(0.74)lf, np.float64(-1.64)lf, np.float64(-0.13)lf, np.float64(-1.59)lf, np.float64(0.47)lf, np.float64(0.3)lf, np.float64(1.13)lf)
 */
#version 400

void main()
{
  double[(distance(transpose(dmat2x4(np.float64(0.16)lf, np.float64(-0.8)lf, np.float64(-1.74)lf, np.float64(-0.02)lf, np.float64(-1.69)lf, np.float64(0.59)lf, np.float64(-1.43)lf, np.float64(-1.21)lf))[0], dvec2(np.float64(0.16)lf, np.float64(-1.69)lf)) * distance(transpose(dmat2x4(np.float64(0.16)lf, np.float64(-0.8)lf, np.float64(-1.74)lf, np.float64(-0.02)lf, np.float64(-1.69)lf, np.float64(0.59)lf, np.float64(-1.43)lf, np.float64(-1.21)lf))[0], dvec2(np.float64(0.16)lf, np.float64(-1.69)lf))) + (distance(transpose(dmat2x4(np.float64(0.16)lf, np.float64(-0.8)lf, np.float64(-1.74)lf, np.float64(-0.02)lf, np.float64(-1.69)lf, np.float64(0.59)lf, np.float64(-1.43)lf, np.float64(-1.21)lf))[1], dvec2(np.float64(-0.8)lf, np.float64(0.59)lf)) * distance(transpose(dmat2x4(np.float64(0.16)lf, np.float64(-0.8)lf, np.float64(-1.74)lf, np.float64(-0.02)lf, np.float64(-1.69)lf, np.float64(0.59)lf, np.float64(-1.43)lf, np.float64(-1.21)lf))[1], dvec2(np.float64(-0.8)lf, np.float64(0.59)lf))) + (distance(transpose(dmat2x4(np.float64(0.16)lf, np.float64(-0.8)lf, np.float64(-1.74)lf, np.float64(-0.02)lf, np.float64(-1.69)lf, np.float64(0.59)lf, np.float64(-1.43)lf, np.float64(-1.21)lf))[2], dvec2(np.float64(-1.74)lf, np.float64(-1.43)lf)) * distance(transpose(dmat2x4(np.float64(0.16)lf, np.float64(-0.8)lf, np.float64(-1.74)lf, np.float64(-0.02)lf, np.float64(-1.69)lf, np.float64(0.59)lf, np.float64(-1.43)lf, np.float64(-1.21)lf))[2], dvec2(np.float64(-1.74)lf, np.float64(-1.43)lf))) + (distance(transpose(dmat2x4(np.float64(0.16)lf, np.float64(-0.8)lf, np.float64(-1.74)lf, np.float64(-0.02)lf, np.float64(-1.69)lf, np.float64(0.59)lf, np.float64(-1.43)lf, np.float64(-1.21)lf))[3], dvec2(np.float64(-0.02)lf, np.float64(-1.21)lf)) * distance(transpose(dmat2x4(np.float64(0.16)lf, np.float64(-0.8)lf, np.float64(-1.74)lf, np.float64(-0.02)lf, np.float64(-1.69)lf, np.float64(0.59)lf, np.float64(-1.43)lf, np.float64(-1.21)lf))[3], dvec2(np.float64(-0.02)lf, np.float64(-1.21)lf))) <= np.float64(1.04068e-09)lf ? 1 : -1] array0;
  double[(distance(transpose(dmat2x4(np.float64(-1.02)lf, np.float64(-1.64)lf, np.float64(-1.59)lf, np.float64(0.3)lf, np.float64(0.74)lf, np.float64(-0.13)lf, np.float64(0.47)lf, np.float64(1.13)lf))[0], dvec2(np.float64(-1.02)lf, np.float64(0.74)lf)) * distance(transpose(dmat2x4(np.float64(-1.02)lf, np.float64(-1.64)lf, np.float64(-1.59)lf, np.float64(0.3)lf, np.float64(0.74)lf, np.float64(-0.13)lf, np.float64(0.47)lf, np.float64(1.13)lf))[0], dvec2(np.float64(-1.02)lf, np.float64(0.74)lf))) + (distance(transpose(dmat2x4(np.float64(-1.02)lf, np.float64(-1.64)lf, np.float64(-1.59)lf, np.float64(0.3)lf, np.float64(0.74)lf, np.float64(-0.13)lf, np.float64(0.47)lf, np.float64(1.13)lf))[1], dvec2(np.float64(-1.64)lf, np.float64(-0.13)lf)) * distance(transpose(dmat2x4(np.float64(-1.02)lf, np.float64(-1.64)lf, np.float64(-1.59)lf, np.float64(0.3)lf, np.float64(0.74)lf, np.float64(-0.13)lf, np.float64(0.47)lf, np.float64(1.13)lf))[1], dvec2(np.float64(-1.64)lf, np.float64(-0.13)lf))) + (distance(transpose(dmat2x4(np.float64(-1.02)lf, np.float64(-1.64)lf, np.float64(-1.59)lf, np.float64(0.3)lf, np.float64(0.74)lf, np.float64(-0.13)lf, np.float64(0.47)lf, np.float64(1.13)lf))[2], dvec2(np.float64(-1.59)lf, np.float64(0.47)lf)) * distance(transpose(dmat2x4(np.float64(-1.02)lf, np.float64(-1.64)lf, np.float64(-1.59)lf, np.float64(0.3)lf, np.float64(0.74)lf, np.float64(-0.13)lf, np.float64(0.47)lf, np.float64(1.13)lf))[2], dvec2(np.float64(-1.59)lf, np.float64(0.47)lf))) + (distance(transpose(dmat2x4(np.float64(-1.02)lf, np.float64(-1.64)lf, np.float64(-1.59)lf, np.float64(0.3)lf, np.float64(0.74)lf, np.float64(-0.13)lf, np.float64(0.47)lf, np.float64(1.13)lf))[3], dvec2(np.float64(0.3)lf, np.float64(1.13)lf)) * distance(transpose(dmat2x4(np.float64(-1.02)lf, np.float64(-1.64)lf, np.float64(-1.59)lf, np.float64(0.3)lf, np.float64(0.74)lf, np.float64(-0.13)lf, np.float64(0.47)lf, np.float64(1.13)lf))[3], dvec2(np.float64(0.3)lf, np.float64(1.13)lf))) <= np.float64(8.410400000000001e-10)lf ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
